Policy (Slurm)
Cedana API for policies (Slurm)
Returns all maintenance windows
Returns all SLURM maintenance windows
Cluster the window was synced from; None for manually created windows
Reservation name; set for windows synced from the cluster
Failed to connect/fetch from database
Client error
Server error
GET /v1/slurm/maintenance_window HTTP/1.1
Accept: */*
[
{
"cluster_id": null,
"created_at": null,
"end_time": null,
"id": null,
"name": null,
"nodes": [
"text"
],
"partitions": [
"text"
],
"reason": null,
"start_time": null,
"status": null
}
]Creates a new maintenance window for SLURM clusters
Returns the maintenance window id for the new maintenance window
Invalid request parameters
Failed to connect/execute request against database
Client error
Server error
POST /v1/slurm/maintenance_window HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 148
{
"end_time": "2026-01-01T00:00:00.000Z",
"nodes": [
"text"
],
"partitions": [
"text"
],
"reason": "text",
"start_time": "2026-01-01T00:00:00.000Z",
"status": null
}<uuid-v4-here>Receives the full set of maintenance reservations for a cluster from the cedana-slurm plugin and upserts them by name. Windows previously synced for the cluster that are missing from the payload are marked 'ended'.
Maintenance windows synced successfully
Cluster with given id does not exist
Failed to sync maintenance windows to database
Client error
Server error
POST /v1/slurm/maintenance_window/sync HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 271
{
"cluster_id": "123e4567-e89b-12d3-a456-426614174000",
"maintenance_windows": [
{
"end_time": "2026-01-01T00:00:00.000Z",
"flags": [
"text"
],
"metadata": null,
"name": "text",
"nodes": [
"text"
],
"partitions": [
"text"
],
"reason": null,
"start_time": "2026-01-01T00:00:00.000Z",
"status": null
}
]
}textReturns a specific maintenance window by ID
Returns the maintenance window
Cluster the window was synced from; None for manually created windows
Reservation name; set for windows synced from the cluster
Invalid UUID provided
Maintenance window not found
Failed to connect/fetch from database
Client error
Server error
GET /v1/slurm/maintenance_window/{id} HTTP/1.1
Accept: */*
{
"cluster_id": null,
"created_at": null,
"end_time": null,
"id": null,
"name": null,
"nodes": [
"text"
],
"partitions": [
"text"
],
"reason": null,
"start_time": null,
"status": null
}Updates an existing maintenance window
Successfully updated maintenance window and returns id
Invalid UUID provided
Maintenance window not found
Failed to connect/execute request against database
Client error
Server error
PUT /v1/slurm/maintenance_window/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"end_time": null,
"nodes": [
"text"
],
"partitions": [
"text"
],
"reason": null,
"start_time": null,
"status": null
}<uuid-for-maintenance-window>Deletes a maintenance window by ID
Successfully deleted maintenance window and returns id
Invalid UUID provided
Maintenance window not found
Failed to connect/execute request against database
Client error
Server error
DELETE /v1/slurm/maintenance_window/{id} HTTP/1.1
Accept: */*
<uuid-for-maintenance-window>Last updated
Was this helpful?